jmarkov.solvers

## Class JamaTransientSolver

- java.lang.Object
- - jmarkov.solvers.Solver
  - - jmarkov.solvers.TransientSolver
    - - jmarkov.solvers.JamaTransientSolver

- All Implemented Interfaces:
    JMarkovElement

      public class JamaTransientSolver
      extends TransientSolver

  This class claculate the transient probabilities. It uses uniformization, and basically it is a wrapper for the 'expUnif' methods in jphase.MarkovMatrix.
  Author:
    Julio Goéz, Germán Riaño. Universidad delos Andes
  See Also:
    `MarkovMatrix`, `MarkovProcess`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JamaTransientSolver(MarkovProcess mp)` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` This method return a complete verbal describtion of this element.
    `double[][]` | `getTransientProbs(double[] times, State i0)` Computes the steady state probabilities at this given times, assuming the Markov Chain starts in the given state i0.
    `double[]` | `getTransientProbs(double time, State i0)` Computes the steady state probabilities at this given time, assuming the Markov Chain starts in the given state i0.
    `double[][]` | `getTransientProbs(int NumberPoints, double delta, State i0)` Computes the steady state probabilities at times delta, 2delta, 3delta,..., assuming the Markov Chain starts in the given state i0.
    `java.lang.String` | `label()` The name of this solver.

    - ### Methods inherited from class jmarkov.solvers.Solver

      `getMP, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### JamaTransientSolver

          public JamaTransientSolver(MarkovProcess mp)

      Default constructor
      Parameters:
        `mp` - the Markov Process

  - ### Method Detail

    - #### label

          public java.lang.String label()

      Description copied from class: `Solver`
      The name of this solver. This should be implemented by the extending classes..
      Specified by:
        `label` in interface `JMarkovElement`
      Specified by:
        `label` in class `Solver`
      Returns:
        A String label.
      See Also:
        `Solver.label()`

    - #### getTransientProbs

          public double[] getTransientProbs(double time,
                                   State i0)

      Description copied from class: `TransientSolver`
      Computes the steady state probabilities at this given time, assuming the Markov Chain starts in the given state i0.
      Specified by:
        `getTransientProbs` in class `TransientSolver`
        `i0` - Initial State.
      Returns:
        probabilities array
      See Also:
        `TransientSolver.getTransientProbs(double, jmarkov.basic.State)`, `MarkovMatrix.expUnif(double, Matrix, Matrix)`

    - #### getTransientProbs

          public double[][] getTransientProbs(double[] times,
                                     State i0)

      Description copied from class: `TransientSolver`
      Computes the steady state probabilities at this given times, assuming the Markov Chain starts in the given state i0.
      Overrides:
        `getTransientProbs` in class `TransientSolver`
      Parameters:
        `times` - An array with the times at which the probabilities are to be evaluated.
        `i0` - The initial state (at time t=0).
      Returns:
        probabilities array for each state. The (i,j) entry on the returned state represents the steady state probability for state i at time times[j].
      See Also:
        `TransientSolver.getTransientProbs(double[], jmarkov.basic.State)`, `MarkovMatrix.expUnif(double[], Matrix, Matrix)`

    - #### getTransientProbs

          public double[][] getTransientProbs(int NumberPoints,
                                     double delta,
                                     State i0)

      Description copied from class: `TransientSolver`
      Computes the steady state probabilities at times delta, 2delta, 3delta,..., assuming the Markov Chain starts in the given state i0.
      Overrides:
        `getTransientProbs` in class `TransientSolver`
        `delta` - the time gap between measurements.
        `i0` - Initial state.
      Returns:
        probabilities array for each state. The (i,j) entry on the returned state represents the steady state probability for state i at time j * delta.
      See Also:
        `TransientSolver.getTransientProbs(int, double, jmarkov.basic.State)`, `MarkovMatrix.expUnif(int, double, Matrix, Matrix)`

    - #### description

          public java.lang.String description()

      Description copied from interface: `JMarkovElement`
      This method return a complete verbal describtion of this element. This description may contain multiple text rows.
      Returns:
        A String describing this element.
      See Also:
        `JMarkovElement.label()`